From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>refs</a><a class='active' href='/guix/log/gnu/packages/lout.scm'>log</a><a href='/guix/tree/gnu/packages/lout.scm?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>tree</a><a href='/guix/commit/gnu/packages/lout.scm?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>commit</a><a href='/guix/diff/gnu/packages/lout.scm?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/lout.scm'>
<input type='hidden' name='id' value='9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>root</a>/<a href='/guix/log/gnu?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>gnu</a>/<a href='/guix/log/gnu/packages?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>packages</a>/<a href='/guix/log/gnu/packages/lout.scm?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4'>lout.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/packages/lout.scm?id=9a8c7808ccb538926ae1a5e8fbd96ac823c388b4&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
></tr>
<tr><td><span title='2023-10-12 18:53:06 +0200'>2023-10-12</span></td><td><a href='/guix/commit/gnu/build/accounts.scm?id=8b8ab17561cad10ce2b613ece8e8cdfba729fc1a'>accounts: Fix typo in comment.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/build/accounts.scm (passwd-&gt;shadow): Fix typo in comment.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2023-10-08 23:43:49 +0200'>2023-10-08</span></td><td><a href='/guix/commit/gnu/build/accounts.scm?id=002c5bec07e88c00d9d96209438728d0271f57da'>accounts: Ensure ‘last-change’ field of shadow entries is never zero.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/build/accounts.scm (passwd-&gt;shadow): Add ‘max’ call so NOW is
greater than or equal to 1.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2022-01-01 15:10:12 +0100'>2022-01-01</span></td><td><a href='/guix/commit/gnu/build/accounts.scm?id=671e6a81804f264ddcdd6fe7579644404da079b8'>system: Allow 'chfn' to change the user's full name.</a><span class='msg-avail'>...<span class='msg-tooltip'>Fixes &lt;https://issues.guix.gnu.org/52539&gt;.
Reported by Jacob First &lt;jacob.first@member.fsf.org&gt;.

* gnu/build/accounts.scm (allocate-passwd): Add comment as to why
'real-name' is taken from PREVIOUS.  Add (not system?) to the
condition.
* gnu/system.scm (operating-system-etc-service) &lt;login.defs&gt;: Add
"CHFN_RESTRICT".
* gnu/system.scm (%setuid-programs): Add "chfn".
* gnu/system/pam.scm (base-pam-services): Add "chfn".
* doc/guix.texi (User Accounts): Document it.
</span></span></td><td>Ludovic Courtès</td></tr>
